'use strict';

// Simple arrow function
// var render = ( title ) => console.log( title );
//
// render( 'New Post' );

// // Can also write without () for single parameter
// var render = title => console.log( title );
//
// render( 'New Post' );


// // Can not write without () for multiple parameters
// // var render = ( id, title ) => console.log( id, title );
// var render = id, title => console.log( id, title );
//
// render( 1, 'New Post' );



// // Can not write without () for no parameters
// // var render =  => console.log( 'Hello' );
// var render = () => console.log( 'Hello' );
//
// render();


// // Can break into multiple line function with {}
// var render = ( title ) => {
//   var newTitle = `NEW: ${title}`;
//   console.log( newTitle );
//   return newTitle;
// };
//
// render( 'Title' );


// // Inline arrow function automatically returns value
// var getNewTitle = title => `NEW: ${title}`;
//
// var title = getNewTitle( 'New Post' );
// console.log( title );


// // Multiple line arrow functions do not automatically return a value
// var getNewTitle = title => {
//   `NEW: ${title}`
// };
//
// var title = getNewTitle( 'New Post' );
// console.log( title );


// // Fat arrow functions do not track this
// var post = {
//   id: 1,
//   title: 'New Post',
//   render: function() {
//     console.log( this.title );
//   }
// }
//
// var ui = {
//   id: 1,
//   title: 'New UI',
//   render: () => {
//     console.log( this.title );
//   }
// }
//
// post.render();
// ui.render();

// // Works because not fat arrow function
// post.render.call({ title: 'My New Post' });
// // Does not work because fat arrow function
// ui.render.call({title: 'My New Post'});
